## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- f
- i
- l
- m
- n
- r
- t
- v

### - _ -

- _lightCount : csLightShaderVarCache
- _varCount : csLightShaderVarCache

### - a -

- alphaBinary : csAlphaMode
- alphaNone : csAlphaMode
- alphaSmooth : csAlphaMode
- ARRAY : csShaderVariable
- attrBlink : csAnsiParser
- attrBold : csAnsiParser
- attrDim : csAnsiParser
- attrInvisible : csAnsiParser
- attrItalics : csAnsiParser
- attrReverse : csAnsiParser
- attrStrikethrough : csAnsiParser
- attrUnderline : csAnsiParser

### - b -

- BGRA8888 : iTextureHandle

### - c -

- classFormat : csAnsiParser
- classNone : csAnsiParser
- classUnknown : csAnsiParser
- clipperBox : iClipper2D
- clipperPoly : iClipper2D
- cmdFormatAttrBackground : csAnsiParser
- cmdFormatAttrDisable : csAnsiParser
- cmdFormatAttrEnable : csAnsiParser
- cmdFormatAttrForeground : csAnsiParser
- cmdFormatAttrReset : csAnsiParser
- cmdUnknown : csAnsiParser
- colBlack : csAnsiParser
- colBlue : csAnsiParser
- colCyan : csAnsiParser
- colGreen : csAnsiParser
- colMagenta : csAnsiParser
- colNone : csAnsiParser
- COLOR : csShaderVariable
- colRed : csAnsiParser
- colWhite : csAnsiParser
- colYellow : csAnsiParser

### - d -

- DISPOSITION_DELETE : csMemFile
- DISPOSITION_FREE : csMemFile
- DISPOSITION_IGNORE : csMemFile

### - f -

- FLOAT : csShaderVariable

### - i -

- INT : csShaderVariable

### - l -

- lightAttenuation : csLightShaderVarCache
- lightAttenuationMode : csLightShaderVarCache
- lightAttenuationTex : csLightShaderVarCache
- lightDiffuse : csLightShaderVarCache
- lightDirection : csLightShaderVarCache
- lightDirectionCamera : csLightShaderVarCache
- lightDirectionWorld : csLightShaderVarCache
- lightInnerFalloff : csLightShaderVarCache
- lightOuterFalloff : csLightShaderVarCache
- lightPosition : csLightShaderVarCache
- lightPositionCamera : csLightShaderVarCache
- lightPositionWorld : csLightShaderVarCache
- lightSpecular : csLightShaderVarCache
- lightTransformCamera : csLightShaderVarCache
- lightTransformWorld : csLightShaderVarCache
- lightType : csLightShaderVarCache

### - m -

- MATRIX : csShaderVariable

### - n -

- NUM_FACES : csImageCubeMapMaker

### - r -

- RENDERBUFFER : csShaderVariable
- RGBA8888 : iTextureHandle

### - t -

- TEXTURE : csShaderVariable
- TRANSFORM : csShaderVariable

### - v -

- varAmbient : csLightShaderVarCache
- varLightCount : csLightShaderVarCache
- VECTOR2 : csShaderVariable
- VECTOR3 : csShaderVariable
- VECTOR4 : csShaderVariable